%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-superqt
Version:       0.7.3
Release:       1mamba
Summary:       Missing widgets and components for PyQt/PySide
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/pyapp-kit/superqt
Source:        https://pypi.debian.net/superqt/superqt-%{version}.tar.gz
License:       BSD
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: (python3.11dist(typing-extensions) < 3.10 or python3.11dist(typing-extensions) > 3.10)
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(pygments)
BuildRequires: python3.11dist(qtpy)
BuildRequires: python3.11dist(typing-extensions)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n superqt-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc LICENSE

%changelog
* Sat Mar 29 2025 Automatic Build System <autodist@openmamba.org> 0.7.3-1mamba
- automatic version update by autodist

* Mon Mar 17 2025 Automatic Build System <autodist@openmamba.org> 0.7.2-1mamba
- automatic version update by autodist

* Tue Jan 07 2025 Automatic Build System <autodist@openmamba.org> 0.7.1-1mamba
- automatic version update by autodist

* Sun Dec 15 2024 Automatic Build System <autodist@openmamba.org> 0.7.0-1mamba
- automatic version update by autodist

* Thu Sep 05 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.7-1mamba
- package created using the webbuild interface
